extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:black_adam_layer1",
    "layer2": "knights:black_adam_layer2"
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    var color = 0xDDAC17;
    utils.bindCloud(renderer, "fiskheroes:telekinesis", "knights:telekinesis_shazam");
    utils.bindTrail(renderer, "knights:blur");
   var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
   utils.bindBeam(renderer, "fiskheroes:energy_projection", beam, "body", 0xDDAC17, [
       { "firstPerson": [0.2, 4, -4.0], "offset": [0.2, 2, -4.0], "size": [5, 1.5] },
   ]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));

   utils.bindBeam(renderer, "fiskheroes:lightning_cast", "fiskheroes:lightning_cast", "rightArm", 0xDDAC17, [
    { "firstPerson": [-8.0, 4.5, -10.0], "offset": [-0.5, 9.0, 0.0], "size": [0.75, 0.75] }
]);
   }
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimation(renderer, "mmcw.FLIGHT", "fiskheroes:flight/default_arms_forward.anim.json");
    utils.addHoverAnimation(renderer, "mmcw.HOVER", "fiskheroes:flight/idle/neutral");
}